use crate::model::CompilerError;

pub mod brainf;

pub fn build_specialised(ext: &str, data: &str) -> Option<Result<String, CompilerError>> {
    match ext {
        "bf" => {
            let res = brainf::build(data);
            Some(Ok(res))
        }
        _ => None,
    }
}
